



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>简单选择排序算法的C++实现</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">简单选择排序算法的C++实现</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-25 04:54:07 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>简单选择排序采用最简单的选择方法，即在剩余序列中选出最小（或最大）的关键字，和剩余序列的第一个关键字交换位置，依次选择下去，直至使整个序列有序。</p>
<p>算法中两层循环的执行次数和初始序列没有关系，第二层循环每一次都需要遍历剩余带排序序列，故时间复杂度为O(n<sup>2</sup>)</p>
<p>直接上代码：</p>
<div>
<pre class="prettyprint linenums">#include&lt;iostream&gt;<br />
#include&lt;string&gt;<br />
using namespace std;

template &lt;typename T&gt;<br />
void selectionSort(T arr[],int n){

    for(int i=;i&lt;n;i++){

        //寻找[i,n)区间里的最小值<br />
        int minIndex=i;        //为最小值的位置做个标记<br />
        for(int j=i+;j&lt;n;j++)<br />
            if(arr[j]&lt;arr[minIndex])<br />
                minIndex=j;

        swap(arr[i],arr[minIndex]);<br />
    }

}

int main(){<br />
    int array[]={,,,,,,,,,};<br />
    selectionSort(array,);<br />
    for(int i=;i&lt;;i++)<br />
        cout&lt;&lt;array[i]&lt;&lt;" ";<br />
    cout&lt;&lt;endl;

    float a[]={3.3f,2.2f,1.1f};<br />
    selectionSort(a,);<br />
    for(int j=;j&lt;;j++)<br />
        cout&lt;&lt;a[j]&lt;&lt;" ";<br />
    cout&lt;&lt;endl;

    string b[]={"D","C","B","A"};<br />
    selectionSort(b,);<br />
    for(int k=;k&lt;;k++)<br />
        cout&lt;&lt;b[k]&lt;&lt;" ";<br />
    cout&lt;&lt;endl;

    return ;<br />
}</pre>
</div>
<p>对于简单选择排序，一趟排序后能确保一个关键字到达其最终位置。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqd447qd.html">SQL Server 统计信息更新时采样百分比对数据预估准确性的影响</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwjz3z8.html">mysql忘记root密码怎么办？</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwlxnl9.html">spark1&period;4&period;1 启动过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/390ergjq.html">别不信！App三年内将被HTML5顶替彻底消失？</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy5ggx9.html">theano中的scan用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv40yzq.html">Delphi又要换东家了</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv4lrjq.html">jQuery实现联动下拉列表查询框</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv501yq.html">【py技巧】使用reload重导入修改过的包或模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn167jk8.html">iOS  必备技术点</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlm66v19.html">HDU 4362&Tab; Dragon Ball 线段树</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j2mkx8.html">hive集成sentry</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y0wlg8.html">Bound Found &lbrack;POJ2566&rsqb; &lbrack;尺取法&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljznl09.html">ubuntu16&period;04中supervisor安装与简单使用&lpar;转载&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rvyvo9.html">PA教材提纲 TAW12-2</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyldev9.html">centos7下安装docker（9&period;1容器对资源的使用限制-CPU）</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wkdk0q.html">Scala学习&lpar;五&rpar;练习</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll4n3eq.html">css 1&rpar; calc&lpar;&rpar; 函数的使用&period;    2&rpar;box-sizing&colon;border-box</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g6mnvq.html">一道另类的区间dp题 -- P3147 &lbrack;USACO16OPEN&rsqb;262144</a>
		</li>
						<li><a href="https://www.batexi.com/a/qverkgy9.html">使用java代码执行linux命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7e2e6e9.html">Anychart隐藏属性</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwvv4o38.html">GITHUB&lpar;github&rpar;初级使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvv4gx8.html">RISC-V平台的汇编指令解析</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j11x1l9.html">涨姿势：Spring Boot 2&period;x 启动全过程源码分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv22n2o9.html">解决方案：ppt打不开，显示发现文件中的内容有问题。可尝试修复此演示文稿</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwwlkv9.html">odoo开发笔记 -- 应用服务器&amp;amp&semi;数据库服务器分开部署</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wwlwzq.html">IdentityServer4（9）- 使用OpenID Connect添加用户身份验证（implicit）</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rr04m9.html">fail2ban&lbrack;防止linux服务器被暴力破解&rsqb;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rrx108.html">一览js模块化：从CommonJS到ES6</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jjv75q.html">Apache-httpd&period;conf详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e44lkj9.html">Appcan开发笔记&colon;导出Excel文件</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
